/** 我的订单状态过滤 */
export const mybuystatus = (key: number): string => {
    let res = '';
    switch (key) {
        case 1:
            res = '待成交';
            break;
        case 2:
            res = '待成交';
            break;
        case 3:
            res = '已提交';
            break;
        case 4:
            res = '已撤销';
            break;
        case 5:
            res = '委托失败';
            break;
        default:
            res = key.toString();
            break;
    }
    return res;
};

/** 我的包裹状态过滤 */
export const mypackstatus = (key: number): string => {
    let res = '';
    switch (key) {
        case 1:
            res = '待发货';
            break;
        case 2:
            res = '已发货';
            break;
        case 3:
            res = '已完成';
            break;
        default:
            res = key.toString();
            break;
    }
    return res;
};

/** 签约状态过滤 */
export const signStatus = (key: number): string => {
    let res = '';
    switch (key) {
        case 1:
            res = '未签约';
            break;
        case 2:
            res = '签约待审核';
            break;
        case 3:
            res = '签约中';
            break;
        case 4:
            res = '已签约';
            break;
        case 5:
            res = '解约待审核';
            break;
        case 6:
            res = '解约中';
            break;
        case 7:
            res = '已解约';
            break;
        case 8:
            res = '已解绑';
            break;
        case 9:
            res = '绑卡中';
            break;
        case 10:
            res = '审核拒绝';
            break;
        default:
            res = key.toString();
            break;
    }
    return res;
};
